#include<bits/stdc++.h>
using namespace std;
void solve(long long x1,long long y1,long long x2,long long y2,long long a,long long b) {
    long long razX=abs(x1-x2);
    long long razY=abs(y1-y2);
    long long brX=a-razX+1;
    long long brY=b-razY+1;
    long long ans=brX*brY;
    if(brX<0 || brY<0) ans=0;
    //cout<<brX<<" "<<brY<<" "<<ans<<endl;
    cout<<ans<<"\n";
}
int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    long long t;
    cin>>t;
    for(long long i=0;i<t;i++) {
        long long x1,y1,x2,y2,a,b;
        cin>>x1>>y1>>x2>>y2>>a>>b;
        solve(x1,y1,x2,y2,a,b);
    }
    return 0;
}
